com.sun.pdfview

## Class PDFPaint

- java.lang.Object
- - com.sun.pdfview.PDFPaint

    public class PDFPaint
    extends java.lang.Object

PDFPaint is some kind of shader that knows how to fill a path. At the moment, only a solid color is implemented, but gradients and textures should be possible, too.

### Constructor Summary

Constructors
`protected` `PDFPaint(java.awt.Paint p)` create a new PDFPaint based on a solid color

### Method Summary

Methods
`java.awt.geom.Rectangle2D` `fill(PDFRenderer state, java.awt.Graphics2D g, java.awt.geom.GeneralPath s)` fill a path with the paint, and record the dirty area.
`static PDFPaint` `getColorPaint(java.awt.Color c)` get the PDFPaint representing a solid color
`java.awt.Paint` `getPaint()` get the primary color associated with this PDFPaint.
`static PDFPaint` `getPaint(java.awt.Paint p)` get the PDFPaint representing a generic paint

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFPaint

    protected PDFPaint(java.awt.Paint p)

create a new PDFPaint based on a solid color

### Method Detail

#### getColorPaint

    public static PDFPaint getColorPaint(java.awt.Color c)

get the PDFPaint representing a solid color

#### getPaint

    public static PDFPaint getPaint(java.awt.Paint p)

get the PDFPaint representing a generic paint

#### fill

    public java.awt.geom.Rectangle2D fill(PDFRenderer state,
                                 java.awt.Graphics2D g,
                                 java.awt.geom.GeneralPath s)

fill a path with the paint, and record the dirty area.

Parameters:
  `state` - the current graphics state
  `g` - the graphics into which to draw
  `s` - the path to fill

#### getPaint

    public java.awt.Paint getPaint()

get the primary color associated with this PDFPaint.